<?php
/**
 * Typography Setting
 *
 * @package roof_water_proofing
 */

// Typography Setting
$wp_customize->add_section(
    'roof_water_proofing_typography_setting',
    array(
        'panel' => 'roof_water_proofing_theme_options',
        'title' => esc_html__( 'Typography Setting', 'roof-water-proofing' ),
    )
);

$wp_customize->add_setting(
    'roof_water_proofing_site_title_font',
    array(
        'default'           => 'Work Sans',
        'sanitize_callback' => 'roof_water_proofing_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'roof_water_proofing_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'roof-water-proofing' ),
        'section'  => 'roof_water_proofing_typography_setting',
        'settings' => 'roof_water_proofing_site_title_font',
        'type'     => 'select',
        'choices'  => roof_water_proofing_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'roof_water_proofing_site_description_font',
	array(
		'default'           => 'Work Sans',
		'sanitize_callback' => 'roof_water_proofing_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'roof_water_proofing_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'roof-water-proofing' ),
		'section'  => 'roof_water_proofing_typography_setting',
		'settings' => 'roof_water_proofing_site_description_font',
		'type'     => 'select',
		'choices'  => roof_water_proofing_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'roof_water_proofing_header_font',
	array(
		'default'           => 'Bebas Neue',
		'sanitize_callback' => 'roof_water_proofing_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'roof_water_proofing_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'roof-water-proofing' ),
		'section'  => 'roof_water_proofing_typography_setting',
		'settings' => 'roof_water_proofing_header_font',
		'type'     => 'select',
		'choices'  => roof_water_proofing_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'roof_water_proofing_content_font',
	array(
		'default'           => 'Work Sans',
		'sanitize_callback' => 'roof_water_proofing_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'roof_water_proofing_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'roof-water-proofing' ),
		'section'  => 'roof_water_proofing_typography_setting',
		'settings' => 'roof_water_proofing_content_font',
		'type'     => 'select',
		'choices'  => roof_water_proofing_get_all_google_font_families(),
	)
);
